class GpsPoint {
  GpsPoint(
      {this.latitude = 0.0,
      this.longitude = 0.0,
      this.accuracy = 0.0,
      this.speed = 0.0,
      this.heading = 0.0,
      this.time = 0.0,
      this.satelliteNumber = 0,
      this.provider = "none"});

  /// Timestamp
  final double time;

  /// Latitude in degrees
  final double latitude;

  /// Longitude, in degrees
  final double longitude;

  /// Estimated horizontal accuracy of this location, radial, in meters
  final double accuracy;

  /// In meters/second
  final double speed;

  /// Heading is the horizontal direction of travel of this device, in degrees
  final double heading;

  /// Number of satellites used to derive the fix.
  final int satelliteNumber;

  /// Name of the provider that generated this fix.
  final String provider;

  @override
  String toString() => 'GpsPoint<$latitude, $longitude>';
}
